Name:		xvattr
Version:	1.3
Release:        41
Summary:	A software for getting and setting values of Xv attributes
License:	GPLv2+
URL:		http://www.dtek.chalmers.se/groups/dvd/
Source0:	http://ajax.fedorapeople.org/xvattr/xvattr-1.3.tar.gz
Patch0:     	xvattr-1.3-Convert-documentation-to-UTF-8.patch
Patch1:     	xvattr-1.3-Use-GTK_CFLAGS-properly.patch
Patch2:     	xvattr-1.3-Make-GTK-tools-optional.patch

BuildRequires:	gcc autoconf automake coreutils gtk+-devel
BuildRequires:	make libX11-devel libXv-devel perl-podlators

%description
xvattr is a software that allows you to get and set the values of Xv
attributes (brightness, color key, etc.) of a X11 server.

%package -n gxvattr
Summary:    GTK1-based GUI for Xv attributes

%description -n gxvattr
GTK1-based GUI for inspecting and setting Xv attributes.

%package_help

%prep
%autosetup -n xvattr-1.3 -p1
autoreconf -ivf

%build
%configure --enable-gtk
%make_build

%install
%make_install

%files
%license COPYING AUTHORS
%{_bindir}/xvattr

%files -n gxvattr
%license COPYING
%{_bindir}/gxvattr

%files help
%doc ChangeLog NEWS README
%{_mandir}/man1/xvattr.1.gz

%changelog
* Fri Sep 4 2020 lunankun <lunankun@huawei.com> - 1.3-41
- Type: bugfix
- ID: NA
- SUG: NA
- DESC: fix Source0 url

* Fri Oct 11 2019 jiangchuangang <jiangchuangang@huawei.com> - 1.3-40
- Type: enhancement
- ID: NA
- SUG: NA
- DESC: add subpackage gxvattr

* Thu Oct 10 2019 luhuaxin <luhuaxin@huawei.com> - 1.3-39
- Type: enhancement
- ID: NA
- SUG: NA
- DESC: move gxvattr to main package, move AUTHORS to license folder

* Fri Aug 30 2019 luhuaxin <luhuaxin@huawei.com> - 1.3-38
- Package init
